Как правильно & ldquo; правильно & rdquo; понизить версии LibreOffice

Я использую стабильный LibreOffice PPA, который только что выпустил 3.5.0, а я (по глупости) обновился с 3.4.5.

Теперь мой LibreOffice не работает, все виды проблем, такие как значки и средства запуска, не отображаются, из-за невозможности Alt+Tab или Alt+~, док-станция Unity заполняется (сломанными) значками LibreOffice, которые не исчезают, если закрыты и случайные ошибки и сбои.

Каков «правильный» способ понизить версию LibreOffice, чтобы все новые файлы были удалены?

7
задан 18.05.2020, 08:01

3 ответа

Я не знаю, что правильно, но я должен был сделать это для других программ. Вот как я это делаю:

  • Открыть синаптический
  • Поиск libreoffice.

  • Отметьте для полного удаления, выберите все зависимости или связанные файлы и отметьте их для полного удаления.

  • Применить.

  • Откройте nautilus

  • Go-> Поиск файлов

  • Введите libreoffice. Осторожно удалите то, что можете. Т.е. значки могут иногда входить в пакеты тем и не устанавливаться программами, которые они представляют.

  • Переустановите предпочтительную версию

0
ответ дан 18.05.2020, 08:01
  • 1
    Поскольку libreoffice имеет набор дополнительных пакетов, которые интегрируют его беспрепятственно в гнома/единицу/человечность, простой " переустановите libreoffice" isn' t полный ответ и листовые вещи полуустановлен. – J Cooper 18.05.2020, 08:01

Я не пытался сделать это , но Synaptic Package Manager дает вам возможность «форсировать» определенную версию.

Вы можете увидеть, какие версии у него есть: поиск «LibreOffice», выделите его (нажмите один раз на него, не «пометить»), затем в строке меню, Package> Force Version (также < KBD> CTRL + E ).

На моей машине Lubuntu я получаю две версии LibreOffice (3.4.4 и 3.4.3), из которых я могу выбрать принудительную «установку».

Я понял из обсуждений «принудительной установки» на форумах Ubuntu, что этот подход не является полностью безопасным. Будьте лектором!

0
ответ дан 18.05.2020, 08:02
  • Если вы хотите установить более старую версию и заменить текущую установку :

sudo apt-get remove --purge libreoffice-core libreoffice-common

sudo apt-get autoremove --purge

Затем найдите нужную версию - здесь , загрузите архив, содержащий несколько файлов deb. и установите их, следуя инструкциям, содержащимся в справке / readme.

(Источник: здесь и здесь .)

  • Если вы хотите одновременно протестировать или использовать разных версий, даже не удаляя основную / текущую установку , вы можете следовать этому ответу .
0
ответ дан 18.05.2020, 08:02
  • 1
    Это решение работало на меня для понижения от LibreOffice 4.1 до версии по умолчанию (3.5.*) в Ubuntu 12.04. Но после двух команд Вы вошли, я сделал следующее: Удалите весь Office Libre PPAs из источников программного обеспечения - значение по умолчанию - то, что существует not' t любой. Тогда установка libreoffice использование synapics. Я также должен был переустановить lo-menubar для возвращения интеграции строки меню. – AShelly 18.05.2020, 08:03
  • 2
    никакие заботы, мне было просто любопытно, если Ваше решение отличалось (например, было более эффективным, возможно), –  18.05.2020, 08:03
  • 3
    мой ответ был предназначен как полное решение на основе других ответов и вопросов, что со мной противостояли относительно различная неразрешенная проблема , и я поместил его здесь для не занимания места, он принял ответ, но так же, как дополнение, которое свяжет некоторые связанные ответы. я предполагаю, что это не противоречит этому site' s цель создать решения большого интереса на основе конкретных вопросов – Suren 18.05.2020, 08:03
  • 4
    кроме не установки необходимых пакетов гнома/единицы/человечности, чтобы заставить LO быть похожим на исходное приложение, как это функционально отличается от моего принятого ответа? – Davidslv 18.05.2020, 08:04

Теги

Похожие вопросы